<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);
$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}
$gallery['id']=intval($_GET['id_gallery']);if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/?".SID);exit;}
$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));/* Бан пользователя */ 
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'foto' AND `id_user` = '$user[id]' AND (`time` > '$time' OR `view` = '0' OR `navsegda` = '1')"), 0)!=0)
{
header('Location: /ban.php?'.SID);exit;
}

$set['title']=$ank['nick'].' - '.htmlspecialchars($gallery['name']).' - Фотоальбом'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
include 'inc/gallery_show_act.php';
err();
aut();


/*
==================================
Приватность станички пользователя
==================================
*/	

	$uSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '$ank[id]'  LIMIT 1"));
	$frend=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0);
	$frend_new=mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0);

if ($ank['id'] != $user['id'] && $user['group_access'] == 0)
{	if (($uSet['privat_str'] == 2 && $frend != 2) || $uSet['privat_str'] == 0) // Начинаем вывод если стр имеет приват настройки
	{
		if ($ank['group_access']>1)echo "<div class='err'>$ank[group_name]</div>\n";
		echo "<div class='nav1'>";
		echo group($ank['id'])." $ank[nick] ";
		echo medal($ank['id'])." ".online($ank['id'])." ";
		echo "</div>";		echo "<div class='nav2'>";
		avatar_ank($ank['id']);
		echo "</div>";	}
	
	
	if ($uSet['privat_str'] == 2 && $frend != 2) // Если только для друзей
	{
		echo '<div class="mess">';
		echo 'Просматривать альбомы пользователя могут только его друзья!';
		echo '</div>';
		
		// В друзья
		if (isset($user))
		{
			echo '<div class="nav1">';
			if ($frend_new == 0 && $frend==0){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?add=".$ank['id']."'>Добавить в друзья</a><br />\n";
			}elseif ($frend_new == 1){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?otm=$ank[id]'>Отклонить заявку</a><br />\n";
			}elseif ($frend == 2){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?del=$ank[id]'>Удалить из друзей</a><br />\n";
			}
			echo "</div>";
		}
	include_once '../sys/inc/tfoot.php';
	exit;
	}
	
	if ($uSet['privat_str'] == 0) // Если закрыта
	{
		echo '<div class="mess">';
		echo 'Пользователь запретил просматривать его альбомы!';
		echo '</div>';
		
	include_once '../sys/inc/tfoot.php';
	exit;
	}
}
	
/*
* Если установлена приватность альбома
*/	
if ($gallery['privat'] == 1 && ($frend != 2 || !isset($user)) && $user['level'] <= $ank['level'] && $user['id'] != $ank['id'])
{
		echo '<div class="mess">';
		echo 'Просматривать альбом пользователя могут только его друзья!';
		echo '</div>';

	include_once '../sys/inc/tfoot.php';
	exit;
}elseif ($gallery['privat'] == 2 && $user['id'] != $ank['id'] && $user['level'] <= $ank['level']){

		echo '<div class="mess">';
		echo 'Пользователь запретил просмотр этого альбома!';
		echo '</div>';
		
	include_once '../sys/inc/tfoot.php';
	exit;
}
	
	
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];include 'inc/gallery_show_form.php';echo "<div class=\"foot\">\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/id$ank[id]'>$ank[nick]</a> | \n";
echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";
echo '<b>'.htmlspecialchars($gallery['name']).'</b>';
if (isset($user) && $user['id']==$ank['id'])
echo " | <a href='?act=upload'>Добавить фото</a><br />\n";
echo "</div>\n";
echo "<table class='post'>\n";
if ($k_post==0)
{
echo '<div class="mess">';
echo "Фотографий нет\n";
echo "  </div>\n";
}


$q=mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
/*-----------зебра-----------*/ 
if ($num==0){
	echo '<div class="nav2">';
	$num=1;
}
elseif ($num==1){
	echo '<div class="nav1">';
	$num=0;
}
/*---------------------------*/
echo "<img src='/style/themes/".$set['set_them']."/loads/14/jpg.png' alt='*'/> <a href='/foto/$ank[id]/$gallery[id]/$post[id]/'>".htmlspecialchars($post['name'])."";
if ($post['metka'] == 1)echo ' <font color=red>(18+)</font>';
echo "<br /><img src='/foto/foto128/$post[id].$post[ras]' alt='*'/></a><br />\n";if ($post['opis']==null)
echo "Без описания<br />\n";
else 
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['opis']))))))))."<br />\n";
echo "Комментариев  (".mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '$post[id]'"),0).")";
echo "</div>\n";
}
echo "</table>\n";
if ($k_page>1)str('?',$k_page,$page); // Вывод страниц

echo "<div class=\"foot\">\n";
echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/id$ank[id]'>$ank[nick]</a> | \n";
echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";
echo '<b>'.htmlspecialchars($gallery['name']).'</b>';
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
?>